﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using moxa;


namespace sim_enable_pin
{
    class Program
    {
        static void Main(string[] args)
        {
            int ret = -1;
            String PINCode = "0000";

            moxa.w406.GPRS gprsfun = new moxa.w406.GPRS();
            gprsfun.Open();
            ret = gprsfun.PinEnable(PINCode, true);
            gprsfun.Close();
            if (ret == 0)
            {
                Console.WriteLine("PIN Enable success.\n");
            }
            else
            {
                Console.WriteLine("PIN Enable fail.");
            }
        }
    }
}
