// GPRSSignalLED.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"
#include "moxa\devices.h"

#define IOCTL_SET_SIGNAL_LED 		CTL_CODE( 0, 185, 0, 0)

int _tmain(int argc, _TCHAR* argv[])
{
	DWORD dwReturn=0;
	while ( TRUE )
	{
		int h = cellular_modem_open();
		if ( h != 0 && h!=-1)
		{
			DWORD dwSignal = cellular_modem_gprs_get_signal_strength(h);
			if ( dwSignal > 0 ) {
				DeviceIoControl( (HANDLE)h, IOCTL_SET_SIGNAL_LED, &dwSignal, sizeof(DWORD), NULL, 0, &dwReturn, NULL);
			}
			cellular_modem_close(h);
		}
		Sleep(10000);
	}

	return 0;
}

