﻿/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using moxa;

namespace ReceiveSMS
{
    class Program
    {
        static void Main(string[] args)
        {
            moxa.w406.GPRS gprsfun = new moxa.w406.GPRS();
            moxa.w406.GPRS.SMSMSG sms = new moxa.w406.GPRS.SMSMSG();

            System.Console.WriteLine("Receiving message for index=1");
            gprsfun.Open();
            int ret = gprsfun.RecvSMS(1, 0, ref sms);
            gprsfun.Close();

            if (ret == 0)
            {
                if ( sms.been_read == 1 )
                    System.Console.WriteLine("Status: READ");
                else
                    System.Console.WriteLine("Status: UNREAD");
                System.Console.WriteLine("Date:" + sms.msg_date);
                System.Console.WriteLine("Time:" + sms.msg_time);
                System.Console.WriteLine("PhoneNumber:" + sms.phone_number);
                System.Console.WriteLine("Message:" + sms.msg_text);
            }
            else
            {
                System.Console.WriteLine("The Message does not exist.");
            }
        }
    }
}

