/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/


#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "fsioctl.h"

#define IOCTL_REBOOT_DEVICE			CTL_CODE( 0, 900, 0, 0)

typedef BOOL (WINAPI* fpKernelIoControl)( DWORD dwIoControlCode, LPVOID lpInBuf, DWORD nInBufSize, LPVOID lpOutBuf, DWORD nOutBufSize, LPDWORD lpBytesReturned );

int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE hDevService = CreateFile( L"UCS1:", GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL);

	if ( hDevService != INVALID_HANDLE_VALUE )
	{
		// Reboot device
		DeviceIoControl( hDevService, IOCTL_REBOOT_DEVICE, NULL, 0, NULL, 0, NULL, NULL);

		// Close the device service driver
		CloseHandle(hDevService);
	}

	return 0;
}
